export class User {
  constructor(name, storedPassword, creationDate = new Date(), id = undefined) {
    this.name = name;
    this.storedPassword = storedPassword;
    this.creationDate = creationDate;
    this.id = id;
  }

  getWithoutPassword() {
    return new User(this.name, undefined, this.creationDate, this.id);
  }
}
